using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TravelAgencyWindow.Model
{
    /// <summary>
    /// Дополнительные св-ва для класса Туров (различные обработки одного объекта)
    /// </summary>
    public partial class Tour
    {
        /// <summary>
        /// Обработка картинок тура.
        /// Если тур пустой, возвращает строку заглушку, иначе подгружает байт-массив из БД.
        /// </summary>
        public object ImageOnView
        {
            get
            {
                if (ImagePreview == null)
                    return "/Resource/plug_picture.png";
                else return ImagePreview;
            }
        }

        /// <summary>
        /// Обработка булевых данных в строку для поля IsActual.
        /// </summary>
        public string IsActualOnString
        {
            get
            {
                if (IsActual == false)
                {
                    return "Не актуален";
                }
                else
                {
                    return "Актуален";
                }
            }
        }
    }
}
